    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ----------------
    028     * BlockParams.java
    029     * ----------------
    030     * (C) Copyright 2005, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: BlockParams.java,v 1.1.2.1 2005/10/25 20:39:38 mungady Exp $
    036     *
    037     * Changes:
    038     * --------
    039     * 19-Apr-2005 : Version 1 (DG);
    040     *
    041     */
    042
    043    package org.jfree.chart.block;
    044
    045    /**
    046     * A standard parameter object that can be passed to the draw() method defined
    047     * by the {@link Block} class.
    048     */
    049    public class BlockParams implements EntityBlockParams {
    050
    051        /**
    052         * A flag that controls whether or not the block should generate and
    053         * return chart entities for the items it draws.
    054         */
    055        private boolean generateEntities;
    056
    057        /**
    058         * The x-translation (used to enable chart entities to use global
    059         * coordinates rather than coordinates that are local to the container
    060         * they are within).
    061         */
    062        private double translateX;
    063
    064        /**
    065         * The y-translation (used to enable chart entities to use global
    066         * coordinates rather than coordinates that are local to the container
    067         * they are within).
    068         */
    069        private double translateY;
    070
    071        /**
    072         * Creates a new instance.
    073         */
    074        public BlockParams() {
    075            this.translateX = 0.0;
    076            this.translateY = 0.0;
    077            this.generateEntities = false;
    078        }
    079
    080        /**
    081         * Returns the flag that controls whether or not chart entities are
    082         * generated.
    083         *
    084         * @return A boolean.
    085         */
    086        public boolean getGenerateEntities() {
    087            return this.generateEntities;
    088        }
    089
    090        /**
    091         * Sets the flag that controls whether or not chart entities are generated.
    092         *
    093         * @param generate  the flag.
    094         */
    095        public void setGenerateEntities(boolean generate) {
    096            this.generateEntities = generate;
    097        }
    098
    099        /**
    100         * Returns the translation required to convert local x-coordinates back to
    101         * the coordinate space of the container.
    102         *
    103         * @return The x-translation amount.
    104         */
    105        public double getTranslateX() {
    106            return this.translateX;
    107        }
    108
    109        /**
    110         * Sets the translation required to convert local x-coordinates into the
    111         * coordinate space of the container.
    112         *
    113         * @param x  the x-translation amount.
    114         */
    115        public void setTranslateX(double x) {
    116            this.translateX = x;
    117        }
    118
    119        /**
    120         * Returns the translation required to convert local y-coordinates back to
    121         * the coordinate space of the container.
    122         *
    123         * @return The y-translation amount.
    124         */
    125        public double getTranslateY() {
    126            return this.translateY;
    127        }
    128
    129        /**
    130         * Sets the translation required to convert local y-coordinates into the
    131         * coordinate space of the container.
    132         *
    133         * @param y  the y-translation amount.
    134         */
    135        public void setTranslateY(double y) {
    136            this.translateY = y;
    137        }
    138
    139    }